{
  "ConnectionStrings": {
    "DefaultConnection": "server=192.168.20.150;port=13306;database=InteractiveMagazine;user=user;password=n68792bu!y99r905;charset=utf8mb4;"
  },
  "JwtSettings": {
    "Issuer": "QYZH.InteractiveMagazine",
    "Audience": "QYZH.InteractiveMagazine",
    "SecretKey": "zG7pLqR9xVw2bN8fYtHk3mPc5sA1dF6eUjW4gXhC7vB",
    "ExpiryMinutes": 120,
    "JwtTokenExpiryDays": 30
  },
  "RedisSettings": {
    "ConnectionString": "192.168.20.150:16379,defaultDatabase=5",
    "Sentinels": [],
    "ExpireSecondRange": [ 3600, 7200 ]
  },
  "RabbitMq": {
    "HostName": "192.168.20.150",
    "Port": 5672,
    "UserName": "smartschool",
    "Password": "@ss%&*otz%d*pq2S",
    "VirtualHost": "InteractiveMagazine",
    "ClientProvidedName": "Custom connection name"
  },
  "WeChatSettings": {
    "AppId": "wx8c08da60bd207e64",
    "AppSecret": "76fa314c34762c0347bd613e488c6872"
  },
  "Serilog": {
    "MinimumLevel": {
      "Default": "Information",
      "Override": {
        "Microsoft": "Warning",
        "System": "Warning"
      }
    },
    "WriteTo": [
      {
        "Name": "Console"
      },
      {
        "Name": "File",
        "Args": {
          "path": "logs/log-.txt",
          "rollingInterval": "Day"
        }
      }
    ]
  },
  "AllowedHosts": "*",
  "AiChat": {
    "ApiKey": "Ollama",
    "BaseUrl": "http://172.16.10.130:11434/v1/",
    "Model": "qwen2.5vl:7b",
    "TimeoutSeconds": 300,
    "MaxTokens": 2000,
    "Temperature": 0.5
  },
  "AliyunOSSConfigs": {
    "AccessKeyID": "LTAI5tEBXGewpHSLiSxyx6Bf",
    "AccessKeySecret": "w29b8wkw6XQVL8GWXgp3ZesgYeDKvf",
    "VodBucketName": "outin-5277bbb52bec11f08dbd00163e169e2b.oss-cn-beijing.aliyuncs.com",
    "BucketName": "qyzh2025test",
    "Region": "beijing",
    "RoleArn": "acs:ram::1064745380176636:role/aliyunosstokengeneratorrole",
    "DurationSeconds": 3600, //过期时间(秒)
    "Endpoint": "oss-cn-beijing.aliyuncs.com",
    "ProjectName": "InteractiveMagazine",
    "Domain": "http://oss-test.qyzhjy.com/"
  }
}
